- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# CTabButton Class Reference

Inheritance diagram for CTabButton:

List of all members.

## Public Member Functions
| CTabButton (const CRect &size, CControlListener *listener, long tag, CBitmap *background, const char *inName)
virtual | ~CTabButton ()
virtual void | draw (CDrawContext *pContext)
| called if the view should draw itself
void | mouse (CDrawContext *pContext, CPoint &where, long button)
| called if a mouse click event occurs
virtual void | onDragEnter (CDrawContext *context, CDragContainer *drag, const CPoint &where)
| called if a drag is entering this view
void | setTextFont (const CFont &font)
void | setActiveTextColor (const CColor &color)
void | setInactiveTextColor (const CColor &color)
void | setTextSize (const long &textSize)
## Protected Attributes
char * | name
CFont | textFont
CColor | activeTextColor
CColor | inactiveTextColor
long | fontSize

## Constructor & Destructor Documentation

CTabButton::CTabButton | ( | const CRect & | size,
|  | CControlListener * | listener,
|  | long | tag,
|  | CBitmap * | background,
|  | const char * | inName
| ) | `[inline]`

virtual CTabButton::~CTabButton | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void CTabButton::draw | ( | CDrawContext * | pContext | ) | `[inline, virtual]`

| called if the view should draw itself Reimplemented from COnOffButton.

void CTabButton::mouse | ( | CDrawContext * | pContext,
|  | CPoint & | where,
|  | long | button
| ) | `[inline, virtual]`

| called if a mouse click event occurs Reimplemented from COnOffButton.

virtual void CTabButton::onDragEnter | ( | CDrawContext * | context,
|  | CDragContainer * | drag,
|  | const CPoint & | where
| ) | `[inline, virtual]`

| called if a drag is entering this view Reimplemented from CView.

void CTabButton::setActiveTextColor | ( | const CColor & | color | ) | `[inline]`

void CTabButton::setInactiveTextColor | ( | const CColor & | color | ) | `[inline]`

void CTabButton::setTextFont | ( | const CFont & | font | ) | `[inline]`

void CTabButton::setTextSize | ( | const long & | textSize | ) | `[inline]`

## Member Data Documentation

CColor CTabButton::activeTextColor`[protected]`

long CTabButton::fontSize`[protected]`

CColor CTabButton::inactiveTextColor`[protected]`

char* CTabButton::name`[protected]`

CFont CTabButton::textFont`[protected]`

The documentation for this class was generated from the following file:

- ctabview.cpp

Empty

Copyright ©2006 Steinberg Media Technologies. All Rights Reserved.